- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# mysqlpp::DataOption< T > Class Template Reference

Define abstract interface for all *Options that take a lone scalar as an argument. More...

`#include <options.h>`

Inheritance diagram for mysqlpp::DataOption< T >:

[legend]
Collaboration diagram for mysqlpp::DataOption< T >:

[legend]
List of all members.

## Public Types
typedef T | ArgType
| Alias for template param.
## Protected Member Functions
| DataOption (const T &arg)
| Construct object.
## Protected Attributes
T | arg_
| The argument value.

## Detailed Description

### template<typename T>
class mysqlpp::DataOption< T >

Define abstract interface for all *Options that take a lone scalar as an argument.

The documentation for this class was generated from the following file:

- options.h